<?php
$gpo_location = $gallery_plus_options_page; // Form Action URI

/* Check for admin Options submission and update options*/
if ('process' == $_POST['stage']) {
    update_option('gallery_plus_columns', $_POST['gallery_plus_columns']);
    update_option('gallery_plus_size', $_POST['gallery_plus_size']);
    update_option('gallery_plus_link2full', $_POST['gallery_plus_link2full']);
	update_option('gallery_plus_overlay', $_POST['gallery_plus_overlay']);
	update_option('gallery_plus_singleonly', $_POST['gallery_plus_singleonly']);
}

/*Get options for form fields */
$gallery_plus_columns = stripslashes(get_option('gallery_plus_columns'));
$gallery_plus_size = stripslashes(get_option('gallery_plus_size'));
$gallery_plus_link2full = stripslashes(get_option('gallery_plus_link2full'));
$gallery_plus_overlay = stripslashes(get_option('gallery_plus_overlay'));
$gallery_plus_singleonly = stripslashes(get_option('gallery_plus_singleonly'));

/* Set defaults if options not set * /
if (!$gallery_plus_columns) $gallery_plus_columns = 3;
if (!$gallery_plus_size) $gallery_plus_size = 'thumbnail';
if (!$gallery_plus_link2full) $gallery_plus_link2full = 0;
if (!$gallery_plus_overlay) $gallery_plus_overlay = 'none';
*/
//print_r($_POST);
?>

<div class="wrap">
  <h2><?php _e('Gallery Plus Options', 'gallery_plus') ?></h2>
  <form name="form1" method="post" action="<?php echo $gpo_location ?>&amp;updated=true">
	<input type="hidden" name="stage" value="process" />
    <table class="form-table" width="100%" cellspacing="2" cellpadding="5" class="editform">
        <tr valign="baseline">
        <th scope="row"><?php _e('Gallery Columns:') ?></th> 
        <td><input type="text" value="<?php echo $gallery_plus_columns; ?>" maxlength="3" size="3" name="gallery_plus_columns" /></td></tr>
		
		<tr valign="baseline">
        <th scope="row"><?php _e('Gallery Icon Size:') ?></th> 
        <td><select name="gallery_plus_size">
			<option value="thumbnail"<?php if ($gallery_plus_size == 'thumbnail') echo ' selected="selected"'; ?>>Thumbnail</option>
			<option value="medium"<?php if ($gallery_plus_size == 'medium') echo ' selected="selected"'; ?>>Medium</option>
			<option value="full"<?php if ($gallery_plus_size == 'full') echo ' selected="selected"'; ?>>Full Size</option>
			</select>
		</td></tr>
		
		<tr valign="baseline">
        <th scope="row"><?php _e('Link Images To Full Resolution:') ?></th>
		<td><input type="checkbox" value="1" name="gallery_plus_link2full"<?php if ($gallery_plus_link2full) echo ' checked="checked"'; ?> /> Image links will go directly to the full resolution image instead of the images post page.
		</td></tr>
		
		<tr valign="baseline">
        <th scope="row"><?php _e('Insert "rel=..." Attribute In Link:') ?></th>
		<td><select name="gallery_plus_overlay">
			<option value="none"<?php if ($gallery_plus_overlay == 'none') echo ' selected="selected"'; ?>>NONE</option>
			<option value="lightbox"<?php if ($gallery_plus_overlay == 'lightbox') echo ' selected="selected"'; ?>>lightbox</option>
			</select> <em>Note: Only applies when <strong>Link Images To Full Resolution</strong> is on.</em>
		</td></tr>

		<tr valign="baseline">
        <th scope="row"><?php _e('Only Show Gallery On Single Post:') ?></th>
		<td><input type="checkbox" value="1" name="gallery_plus_singleonly"<?php if ($gallery_plus_singleonly) echo ' checked="checked"'; ?> /> The gallery will only show up when the post is viewed directly, not in a list of other posts.
		</td></tr>
     </table>

    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Update Options', 'lightbox_2') ?> &raquo;" />
    </p>
  </form>
</div>